package com.xintong.visualinspection.dao.master;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.ClassCode;
import com.xintong.visualinspection.bean.TeamClass;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface TeamClassDao  {
    public TeamClass getOne(Long id);
    public List<TeamClass> getClassList(TeamClass teamClass);
    public void insert(TeamClass teamClass);
    public void update(TeamClass teamClass);
    public void updateUserIds(TeamClass teamClass);
    public void delete(Long id);
    public void deleteByDeptWorkdate(TeamClass teamClass);
    
    public List<TeamClass> getClassCode(ClassCode teamClass);
    
    public List<TeamClass> getClassListForCharge(TeamClass teamClass);
    
    public List<TeamClass> getClassListForChargeUnRegular(TeamClass teamClass);
    
    public List<com.xintong.visualinspection.pojo.TeamClass> getLaneClassListByUserAndTime(com.xintong.visualinspection.pojo.TeamClass teamClass);
    
   
}
